namespace PkmnLib.Plugin.Gen7.Scripts.Items.Pokeballs;

[ItemScript("fast_ball")]
public class FastBall : PokeballScript
{
    /// <inheritdoc />
    public FastBall(IItem item) : base(item)
    {
    }

    /// <inheritdoc />
    public override void ChangeCatchRate(IPokemon target, ref byte catchRate)
    {
        var modifier = target.Form.BaseStats.Speed >= 100 ? 4f : 1f;
        catchRate = catchRate.MultiplyOrMax(modifier);
    }
}